Package org.apache.cxf.ws.addressing

# Enum WSAddressingFeature.AddressingResponses

java.lang.Object
java.lang.Enum<WSAddressingFeature.AddressingResponses>
org.apache.cxf.ws.addressing.WSAddressingFeature.AddressingResponses

All Implemented Interfaces:
  `Serializable`, `Comparable<WSAddressingFeature.AddressingResponses>`, `java.lang.constant.Constable`

Enclosing class:
  WSAddressingFeature

public static enum WSAddressingFeature.AddressingResponses extends Enum<WSAddressingFeature.AddressingResponses>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  `ANONYMOUS`
  `NON_ANONYMOUS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static WSAddressingFeature.AddressingResponses`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static WSAddressingFeature.AddressingResponses[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final WSAddressingFeature.AddressingResponses ALL

  - ### NON_ANONYMOUS

    public static final WSAddressingFeature.AddressingResponses NON_ANONYMOUS

  - ### ANONYMOUS

    public static final WSAddressingFeature.AddressingResponses ANONYMOUS

- ## Method Details

  - ### values

    public static WSAddressingFeature.AddressingResponses[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WSAddressingFeature.AddressingResponses valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null